using MongoDB.Bson;
using MongoDB.Bson.Serialization.Attributes;

namespace Marco.Pms.Model.TenantModels.MongoDBModel
{
    public class ProjectManagementDetails
    {
        [BsonId]
        [BsonRepresentation(BsonType.String)]
        public Guid Id { get; set; } = Guid.NewGuid();
        public string? Name { get; set; }

        [BsonRepresentation(BsonType.String)]
        public List<Guid> FeatureId { get; set; } = new List<Guid>();
        public bool Enabled { get; set; } = false;
        public int MaxProject { get; set; } = 10;
        public double MaxTaskPerProject { get; set; } = 100000000;
        public bool GanttChart { get; set; } = false;
        public bool ResourceAllocation { get; set; } = false;
    }
}